<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Document</title>
    <!-- Jquery && Bootstrap CDN -->
    <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/4.5.2/css/bootstrap.min.css">
    <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.5.1/jquery.min.js"></script>
    <script src="https://maxcdn.bootstrapcdn.com/bootstrap/4.5.2/js/bootstrap.min.js"></script>
    <!-- DataTable CDN -->
    <link rel="stylesheet" href="https://cdn.datatables.net/1.13.6/css/dataTables.bootstrap4.min.css">
    <script src="https://cdn.datatables.net/1.13.6/js/jquery.dataTables.min.js"></script>
    <script src="https://cdn.datatables.net/1.13.6/js/dataTables.bootstrap4.min.js"></script>
    <!-- Font Awesome CDN -->
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/6.4.2/css/all.min.css"
        integrity="sha512-z3gLpd7yknf1YoNbCzqRKc4qyor8gaKU1qmn+CShxbuBusANI9QpRohGBreCFkKxLhei6S9CQXFEbbKuqLg0DA=="
        crossorigin="anonymous" referrerpolicy="no-referrer" />
    <!-- Css External -->
    <link rel="stylesheet" href="style.css">
    <!--  -->
    <link rel="stylesheet" href="https://code.jquery.com/ui/1.12.1/themes/base/jquery-ui.css">

    <script src="https://cdnjs.cloudflare.com/ajax/libs/jqueryui/1.12.1/jquery-ui.min.js"></script>
    <style>

    </style>
</head>

<body>
    <div class="container-fluid">
        <div class="food-ordering">
            <!-- Phần Header -->
            <div class="header-section">
                <div class="row">
                    <nav class="navbar navbar-expand-md navbar-light" style="width: 100%;">
                        <div class="container" style="width: 80%;">
                            <a style="font-weight: 800;color: white;" class="navbar-brand" href="#">WHAT2EAT</a>
                            <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbarNav"
                                aria-controls="navbarNav" aria-expanded="false" aria-label="Toggle navigation">
                                <span class="navbar-toggler-icon"></span>
                            </button>
                            <div class="collapse navbar-collapse" id="navbarNav"
                                style="width: 40%;justify-content: center;">
                                <ul class="navbar-nav">
                                    <li class="nav-item">
                                        <a style="color: white;" class="nav-link" href="#">Home</a>
                                    </li>
                                    <li class="nav-item">
                                        <a style="color: white;" class="nav-link" href="#">About</a>
                                    </li>
                                    <li class="nav-item">
                                        <a style="color: white;" class="nav-link" href="#">Menu</a>
                                    </li>
                                    <li class="nav-item">
                                        <a style="color: white;" class="nav-link" href="#">Blog</a>
                                    </li>
                                    <li class="nav-item">
                                        <a style="color: white;" class="nav-link" href="#">Contact</a>
                                    </li>
                                </ul>
                            </div>
                            <div>
                                <ul class="navbar-nav" style="display: flex;flex-direction: row; width: 20%;">
                                    <li class="nav-item">
                                        <a class="nav-link" href="#"><img class="search" src="img/search.png" /></a>
                                    </li>
                                    <li class="nav-item">
                                        <a style="margin-left: 10px;" class="nav-link" href="#"><img id="img-cart"
                                                class="search" src="img/Cart.png" /></a>
                                    </li>
                                </ul>
                            </div>
                        </div>
                    </nav>
                </div>
                <div class="row container-fluid">
                    <div class="col-sm-12 col-md-12 col-lg-6 col-xl-6 div-text">
                        <div class="hero-display">
                            <div class="display-with-text">
                                <h1 style="font-size: 60px;" class="header-h1">Authentic Home food in UK</h1>
                                <p class="header-p">What2Eat is a courier service in which authentic home cook food is
                                    delivered to a customer.</p>
                            </div>
                            <div class="div-search">
                                <input id="search-input" placeholder="Search food you love" />
                                <button id="search-btn" class="btn-warning">Search</button>
                            </div>
                        </div>
                    </div>
                    <div class=" col-sm-12 col-md-12 col-lg-6 col-xl-6 div-img">

                        <div class="position-relative">
                            <img class="img-content" src="img/cooking.man.header.png" />

                        </div>
                    </div>

                </div>
            </div>
            <!-- Phần Food -->
            <div class="container-fluid">
                <!-- Home / food -->
                <div class="container foods">
                    <div class="content">
                        <h2>Foods</h2>
                        <p>We are here to serve you, my lords!</p>

                    </div>
                </div>
            </div>
            <div class="container-fluid">
                <div class="row">
                    <div class="col-sm-3 col-md-3 col-lg-3 col-xl-3">
                        <!-- slider -->
                        <div class="slider-box">
                            <div>
                                <span class="price-span">Prices</span>
                            </div>

                            <div class="price-div">
                                <div class="ranger-label">
                                    <span style="color: black;">Ranger:</span>
                                </div>
                                <div class="price-label">
                                    $ <span style="color: black;" id="min-price">13.99</span>
                                    <span style="color: black;" class="seperator">-</span>
                                    $ <span style="color: black;" id="max-price">24.99</span>
                                </div>
                            </div>
                            <div class="selector">
                                <div class="price-slider">
                                    <div id="slider-range"
                                        class="ui-slider ui-corner-all ui-slider-horizontal ui-widget ui-widget-content">
                                    </div>
                                </div>
                            </div>
                        </div>
                        <!-- rate -->
                        <div class="rate-filter">
                            <p>Rating</p>
                            <div class="row middle-center">
                                <img class="stars" src="img/Stars/5/Light.png" alt="">
                                <input type="checkbox" id="check5s" class="check-rating" />
                            </div>
                            <div class="row middle-center">
                                <img class="stars" src="img/Stars/4/Light.png" alt="">
                                <input type="checkbox" id="check4s" class="check-rating" />
                            </div>
                            <div class="row middle-center">
                                <img class="stars" src="img/Stars/3/Light.png" alt="">
                                <input type="checkbox" id="check3s" class="check-rating" />
                            </div>
                            <div class="row middle-center">
                                <img class="stars" src="img/Stars/2/Light.png" alt="">
                                <input type="checkbox" id="check2s" class="check-rating" />
                            </div>
                            <div class="row middle-center">
                                <img class="stars" src="img/Stars/1/Light.png" alt="">
                                <input type="checkbox" id="check1s" class="check-rating" />
                            </div>
                        </div>
                    </div>


                    <div class="col-sm-9 col-md-9 col-lg-9 col-xl-9 ">
                        <div id="product" class="row">
                            <div class="col-sm-4 col-md-4 col-lg-4 col-xl-4 card">
                                <img src="img/Pizza1.png" alt="pizza">
                                <div class="pizza-title">
                                    <p>Home made Pizza</p>
                                    <p>$19</p>
                                </div>
                                <div class="row pizza-des">
                                    <div class="rate-time">
                                        <div class="row rate">
                                            <div class="img-rate">
                                                <img src="img/rate.png" alt="star">
                                            </div>
                                            <div class="rate-point">
                                                $
                                            </div>
                                        </div>
                                        <div class="row">
                                            <p id="time">$</p>
                                        </div>
                                    </div>
                                    <div class="add-cart">
                                        <button id="btn-add-cart-${paramResponseObject.rows[bI].id}"
                                            data-object='${JsonString}' class="btn btn-warning add-cart-pizza"><img
                                                src="img/Add-cart.png" alt="add"></button>
                                    </div>
                                </div>

                            </div>
                            <div class="col-sm-4 col-md-4 col-lg-4 col-xl-4 card">
                                <img src="img/Pizza1.png" alt="pizza">
                                <div class="pizza-title">
                                    <p>Home made Pizza</p>
                                    <p>$19</p>
                                </div>
                                <div class="row pizza-des">
                                    <div class="rate-time">
                                        <div class="row rate">
                                            <div class="img-rate">
                                                <img src="img/rate.png" alt="star">
                                            </div>
                                            <div class="rate-point">
                                                $
                                            </div>
                                        </div>
                                        <div class="row">
                                            <p id="time">$</p>
                                        </div>
                                    </div>
                                    <div class="add-cart">
                                        <button id="btn-add-cart-${paramResponseObject.rows[bI].id}"
                                            data-object='${JsonString}' class="btn btn-warning add-cart-pizza"><img
                                                src="img/Add-cart.png" alt="add"></button>
                                    </div>
                                </div>

                            </div>
                            <div class="col-sm-4 col-md-4 col-lg-4 col-xl4 card">
                                <img src="img/Pizza1.png" alt="pizza">
                                <div class="pizza-title">
                                    <p>Home made Pizza</p>
                                    <p>$19</p>
                                </div>
                                <div class="row pizza-des">
                                    <div class="rate-time">
                                        <div class="row rate">
                                            <div class="img-rate">
                                                <img src="img/rate.png" alt="star">
                                            </div>
                                            <div class="rate-point">
                                                $
                                            </div>
                                        </div>
                                        <div class="row">
                                            <p id="time">$</p>
                                        </div>
                                    </div>
                                    <div class="add-cart">
                                        <button id="btn-add-cart-${paramResponseObject.rows[bI].id}"
                                            data-object='${JsonString}' class="btn btn-warning add-cart-pizza"><img
                                                src="img/Add-cart.png" alt="add"></button>
                                    </div>
                                </div>

                            </div>
                        </div>
                    </div>
                </div>

                <!-- Phần Footer -->
                <footer class="footer">
                    <div class="container-fluid">
                        <div class="footer-container">
                            <div class="footer__menu">
                                <div class="col-sm-2 col-md-2 col-lg-2 col-xl-3">
                                    <div class="footer__menu--logo">WHAT2EAT</div>
                                </div>
                                <div class="col-sm-8 col-md-8 col-lg-8 col-xl-6">
                                    <div class="footer__menu--nav">
                                        <ul class="list__menu--nav">
                                            <li class="menu__item">
                                                <a href="#">Home</a>
                                            </li>
                                            <li class="menu__item">
                                                <a href="#">About</a>
                                            </li>
                                            <li class="menu__item">
                                                <a href="#">Menu</a>
                                            </li>
                                            <li class="menu__item">
                                                <a href="#">Blog</a>
                                            </li>
                                            <li class="menu__item">
                                                <a href="#">Contact</a>
                                            </li>
                                        </ul>
                                    </div>
                                </div>
                                <div class="col-sm-2 col-md-2 col-lg-2 col-xl-3 ">
                                    <div class="footer__menu--social">
                                        <a href="https://www.instagram.com/">
                                            <img src="./img/instagram-icon.svg" alt="">
                                        </a>
                                        <a href="https://www.facebook.com/">
                                            <img src="./img/facebook-icon.svg" alt="">
                                        </a>
                                    </div>
                                </div>
                            </div>
                            <hr>
                            <div class="footer__copyright">
                                <p>Copyright @2021 What2Eat</p>
                            </div>
                        </div>
                    </div>
                </footer>
            </div>
        </div>

</body>
<script>
    "use strict";
    /*** REGION 1 - Global variables - Vùng khai báo biến, hằng số, tham số TOÀN CỤC */
    var gBASE_URL = "https://food-ordering-fvo9.onrender.com/api";
    var gPizzaObject = []
    /*** REGION 2 - Vùng gán / thực thi sự kiện cho các elements */

    $(document).ready(function () {
        onPageLoading()
        $("#slider-range").slider({
            range: true,
            values: [13.99, 25.99],
            min: 13.99,
            max: 25.99,
            step: 1,
            slide: function (event, ui) {
                $("#min-price").html(ui.values[0]);

                $("#max-price").html(ui.values[1]);
                var bMin = ui.values[0];
                var bMax = ui.values[1];
                filterSystem(bMin, bMax)
            }
        });
        // Gán sự kiện chi nút filter
        $(document).on("change", ".check-rating", function () {
            processApiToFilterRating()
        })
        $(document).on("change", ".check-rating", function () {
            processApiToFilterRating()
        })
        $(document).on("change", ".check-rating", function () {
            processApiToFilterRating()
        })
        $(document).on("change", ".check-rating", function () {
            processApiToFilterRating()
        })
        $(document).on("change", ".check-rating", function () {
            processApiToFilterRating()
        })
        $(document).on("click", ".add-cart-pizza", function () {
            // Thu thập dữ liệu ID của Order
            const vOrderObj = $(this).data("object");
            // console.log(vOrderObj);
            var vKeylength = Object.keys(localStorage).length
            localStorage.setItem(`${vKeylength}`, JSON.stringify(vOrderObj));

            //
            $("#img-cart").prop("src", "img/Yellow-cart.png")
        })
        $("#img-cart").on("click", function () {
            window.location.href = "cart.html"
        })
        if ((Object.keys(localStorage)).length > 0) {
            $("#img-cart").prop("src", "img/Yellow-cart.png")
        }
        else {
            $("#img-cart").prop("src", "img/Cart.png")
        }
    })
    /*** REGION 3 - Event handlers - Vùng khai báo các hàm xử lý sự kiện */
    // Hàm xử lý khi tải trang
    function onPageLoading() {
        // B1 Thu thập dữ liệu [Không có]
        // B2 Kiểm tra dữ liệu [Không có]
        // B3 Gọi Api xử lý
        // Hiển thị Pizza
        processApiToGetPizza();
    }
    /*** REGION 4 - Common funtions - Vùng khai báo hàm dùng chung trong toàn bộ chương trình*/
    // Hàm filter by slider
    function filterSystem(minPrice, maxPrice) {
        $("#product div.decorate").hide().filter(function () {
            var vPrice = parseInt($(this).data("price"), 10);
            return vPrice >= minPrice && vPrice <= maxPrice;
        }).show();
    }
    // hàm gọi Api xử lý để lấy dữ liệu Pizza hiển thị lên site
    function processApiToGetPizza() {
        const vQueryParams = new URLSearchParams({
            "_limit": 9,
            "_page": 0
        })
        $.ajax({
            url: gBASE_URL + "/foods?" + vQueryParams.toString(),
            type: "GET",
            dataType: "json",
            async: false,
            success: function (response) {
                //B4 xử lý hiển thị
                $("#product").html("")
                for (var bI = 0; bI < response.rows.length; bI++) {
                    gPizzaObject.push(response.rows[bI])
                    disPlayData(gPizzaObject)
                }
                // console.log(gPizzaObject)
            },
            error: function (ajaxContext) {
                alert(ajaxContext.responseText)
            }
        })
    }
    // Hàm lọc 
    function processApiToFilterRating() {
        $("#product").html("")
        const vQueryParams = new URLSearchParams();
        vQueryParams.append('_limit', 9);
        vQueryParams.append('_page', 0);
        if ($("#check5s").prop("checked") == true) { vQueryParams.append('rating', 5); }
        if ($("#check4s").prop("checked") == true) { vQueryParams.append('rating', 4); }
        if ($("#check3s").prop("checked") == true) { vQueryParams.append('rating', 3); }
        if ($("#check2s").prop("checked") == true) { vQueryParams.append('rating', 2); }
        if ($("#check1s").prop("checked") == true) { vQueryParams.append('rating', 1); }
        $.ajax({
            url: gBASE_URL + "/foods?" + vQueryParams.toString(),
            type: "GET",
            dataType: "json",
            async: false,
            success: function (response) {
                // console.log(gBASE_URL + "/foods?" + vQueryParams.toString())
                var vPizzaFiltered = []
                // B4 xử lý hiển thị
                for (var bI = 0; bI < response.rows.length; bI++) {
                    vPizzaFiltered.push(response.rows[bI])
                    disPlayData(vPizzaFiltered)
                }
                // console.log(vPizzaFiltered)
            },
            error: function (ajaxContext) {
                alert(ajaxContext.responseText)
            }
        })
    }

    // Hàm hiển thị Pizza ra màn hình
    function disPlayData(paramObject) {
        for (var bI = 0; bI < paramObject.length; bI++) {
            var JsonString = JSON.stringify(paramObject[bI])
            var vHtml = `
            <div class="col-sm-4 col-md-4 col-lg-4 col-xl-4 decorate" data-price='${paramObject[bI].price}'>
                                <img class="img-pizza" src="${paramObject[bI].imageUrl}" alt="pizza">
                                <div class="product-card-detail container jumbotron">
                                    <div class="row pizza-name">
                                        <div class="col-sm-9 col-md-9 col-lg-9 col-xl-9">
                                                <p>${paramObject[bI].name}</p>
                                            </div>
                                            <div class="col-sm-3 col-md-3 col-lg-3 col-xl-3 productlist-price">
                                                <p>$${paramObject[bI].price}</p>
                                            </div>
                                </div>
                                <div class="row pizza-des">
                                    <div class="rate-time">
                                        <div class="row rate">
                                            <div class="img-rate">
                                                <img src="img/rate.png" alt="star">
                                            </div>
                                            <div class="rate-point">
                                                ${paramObject[bI].rating}
                                            </div>
                                        </div>
                                        <div class="row">
                                            <p id="time">${paramObject[bI].time}</p>
                                        </div>
                                    </div>
                                    <div class="add-cart">
                                        <button id="btn-add-cart-${paramObject[bI].id}"
                                            data-object='${JsonString}' class="btn btn-warning add-cart-pizza"><img
                                                src="img/Add-cart.png" alt="add"></button>
                                    </div>
                                </div>
                                </div>
                            </div>`
        }
        $("#product").append(vHtml)
    }
    //
</script>

</html>